Bug 218731 - RHEL 5 beta 2 'pirut' package has *no* man pages!
RHEL 5 beta 2 'pirut' package has *no* man pages!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 21:00 EST by Clifford Perry
Modified: 2013-01-10 05:15 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 16:37:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clifford Perry 2006-12-06 21:00:51 EST
Description of problem:
We cannot release a package within RHEL 5 OS with zero man pages. 

Can we get some basic man pages providing basic details/usage for the pup,
puplet, and pirut commands, system-config-* seem fairly obvious. 

Thanks. 

[root@cperry rhn]# man pirut
No manual entry for pirut
[root@cperry rhn]# man pup
No manual entry for pup
[root@cperry rhn]# rpm -qil pirut| grep -i man
pirut (pronounced "pirate") provides a set of graphical tools for managing
/usr/share/pirut/ui/PackageManager.glade
[root@cperry rhn]# rpm -q pirut
pirut-1.2.5-1
[root@cperry rhn]# rpm -qil pirut| grep -i doc
/usr/share/doc/pirut-1.2.5
/usr/share/doc/pirut-1.2.5/AUTHORS
/usr/share/doc/pirut-1.2.5/NEWS
/usr/share/doc/pirut-1.2.5/README
[root@cperry rhn]#


Version-Release number of selected component (if applicable):

pirut-1.2.5-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-12-07 21:03:47 EST
(In reply to comment #0)
> We cannot release a package within RHEL 5 OS with zero man pages. 

We have lots of packages without man pages; generally, we don't write man pages
for graphical apps as man isn't the way that users find information on graphical
apps.
Comment 2 James Bowes 2006-12-08 09:01:41 EST
(In reply to comment #1)
> (In reply to comment #0)
> > We cannot release a package within RHEL 5 OS with zero man pages. 
> 
> We have lots of packages without man pages; generally, we don't write man pages
> for graphical apps as man isn't the way that users find information on graphical
> apps.

Ideally we'd have help buttons/menu items that would fire up some doc book help
pages in yelp.

That said, I'll write some man pages over the weekend, 'cause that's how I roll.
Comment 4 James Bowes 2006-12-13 14:41:31 EST
Man pages are in CVS now.
Comment 6 Jay Turner 2006-12-13 21:50:49 EST
QE ack for RHEL5.
Comment 8 James Bowes 2006-12-14 09:17:48 EST
I built pirut 1.2.10, which contains man pages.
Comment 9 Corey Welton 2007-02-06 14:30:39 EST
QA Verified manpages exist.
Comment 10 Jay Turner 2007-02-06 16:37:26 EST
pirut-1.2.10-1.el5 includes man pages and is included in the 20070126.0 trees.

Note You need to log in before you can comment on or make changes to this bug.